org.apache.avro.tool

## Class InduceSchemaTool

- java.lang.Object
- - org.apache.avro.tool.InduceSchemaTool

- All Implemented Interfaces:
    Tool

      public class InduceSchemaTool
      extends Object
      implements Tool

  Utility to induce a schema from a class or a protocol from an interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InduceSchemaTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Name of tool, to be used in listings.
    `String` | `getShortDescription()` 1-line description to be used in command listings.
    `int` | `run(InputStream in, PrintStream out, PrintStream err, List<String> args)` Runs the tool with supplied arguments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InduceSchemaTool

          public InduceSchemaTool()

  - ### Method Detail

    - #### run

          public int run(InputStream in,
                         PrintStream out,
                         PrintStream err,
                         List<String> args)
                  throws Exception

      Description copied from interface: `Tool`
      Runs the tool with supplied arguments. Input and output streams are customizable for easier testing.
      Specified by:
        `run` in interface `Tool`
      Parameters:
        `in` - Input stream to read data (typically System.in).
        `out` - Output of tool (typically System.out).
        `err` - Error stream (typically System.err).
        `args` - Non-null list of arguments.
      Returns:
        result code (0 for success)
      Throws:
        `Exception` - Just like main(), tools may throw Exception.

    - #### getName

          public String getName()

      Description copied from interface: `Tool`
      Name of tool, to be used in listings.
      Specified by:
        `getName` in interface `Tool`

    - #### getShortDescription

          public String getShortDescription()

      Description copied from interface: `Tool`
      1-line description to be used in command listings.
      Specified by:
        `getShortDescription` in interface `Tool`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.